.TH XPUTS 1
.\" NAME should be all caps, SECTION should be 1-8, maybe w/ subsection
.\" other parms are allowed: see man(7), man(1)
.SH NAME
xputs \- a key event emulator for X
.SH SYNOPSIS
.B xputs [ -n | -kCODE | -^X | -FX  | "any string" ]
.SH "DESCRIPTION"

.B xputs
is a tool for simulating X keypress for batch and scripting use.
Also it can be used for macros creation, or rebinding some keys, if 
program does not allow it.
.PP

.SH OPTIONS
.TP
.B \-n
Emulates ENTER key press.

.TP
.B \-kCODE
Emulates key press with scancode
.I CODE.
 Scancode can be obtained using 
.BR xev(1).


.SH "GAME CONTROLS"
The default control is with the number pad keys 4-9:

 Dig left     Move up     Dig right
     7           8           9
     4           5           6
 Move left   Move down    Move right

As of version 1.3 you can remap the controls. In demo mode hit space
to get to the menu, then hit F10 to remap the keys. For each key if you
hit escape the key is unchanged.

F8    Skip to next level
k     Kill player (useful if he's trapped)
ESC   Exit back to demo mode
Pause Pause game


.SH "COPYRIGHT"

Copyright by Giver of Rainy Darkness.
.PP
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; version 2 dated June, 1991.

.SH "AUTHOR"
.B xputs
was written by Giver of Rainy Darkness <giver@nm.ru>.
